## kf6-krunner 6.3.0

=== debian/changelog ===
kf6-krunner (6.3.0-2ubuntu1) oracular; urgency=medium

  *  Mark two symbols as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Jun 2024 20:37:39 +0100

kf6-krunner (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing dependency of libkf6coreaddons-dev to libkf6runner-dev.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 10:56:40 +0200

kf6-krunner (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:55:17 +0200
