=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6itemmodels-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.8.0~),
+               libkf6config-dev (>= 6.8.0~),
+               libkf6coreaddons-dev (>= 6.8.0~),
+               libkf6i18n-dev (>= 6.8.0~),
+               libkf6itemmodels-dev (>= 6.8.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -26,8 +26,8 @@
 Package: libkf6runner-dev
 Section: libdevel
 Architecture: any
-Depends: extra-cmake-modules (>= 6.6.0~),
-         libkf6coreaddons-dev (>= 6.6.0~),
+Depends: extra-cmake-modules (>= 6.8.0~),
+         libkf6coreaddons-dev (>= 6.8.0~),
          libkf6runner6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
