=== debian/changelog ===
kf6-krunner (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)
  * Build depend on libkf6windowsystem-dev
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:17:33 +0100
